"""# Personal Data Fetcher Systems.

This program collects several small data fetchers, for downloading personal
data spread around the internet. The fetchers are mostly related either to
personal finance, or to various nerdy hobbies.

Supported fetchers:

- Crunchyroll episode watch history
- FFXIV Lodestone achivement history
- Playstation achievements by way of PSN Profiles.
- Account balances for several backends supported by [`fin-depo`](https://gitfub.space/Jmaa/fin-depo)
  * Partisia Blockchain BYOC and MPC trackers
  * Kraken Account Balances
  * Kucoin Account Balances

## Usage

Add relevant secrets to
a [`secret_loader`](https://gitfub.space/Jmaa/secret_loader)-compatible
location, and run:

```sh
python -m personal_data
```

Use `--help` option to see all options.

## Further expansion

- [ ] YouTube (Music): Liked videos with title and URL.
- [ ] Steam Wishlist and Achievements
- [ ] [WaniKani](https://docs.api.wanikani.com)
- [ ] Ledger (Live?) Account Balances
- [ ] [Gandalf](https://gandalf.network/)? Seems to support a bunch of
  different sites, but not in the detail I want.
"""

__all__ = ['__version__']

from ._version import __version__
