from secret_loader import SecretLoader

secrets = SecretLoader(env_key_prefix='CF_PD')


# Crunchyroll
CRUNCHYROLL_DEVICE_ID = secrets.load('CRUNCHYROLL_DEVICE_ID')
CRUNCHYROLL_AUTH = secrets.load('CRUNCHYROLL_AUTH')

# FFXIV
FFXIV_CHARACTER_ID = secrets.load('FFXIV_CHARACTER_ID')

# Playstation
PLAYSTATION_PSN_ID = secrets.load('PLAYSTATION_PSN_ID')


# Partisia Blockchain
def pbc_account_address():
    return secrets.load_or_fail('PBC_ACCOUNT_ADDRESS')


# Steam
def steam_username():
    return secrets.load_or_fail('STEAM_USERNAME')

# Gitea
def gitea_access_token():
    return secrets.load('GITEA_ACCESS_TOKEN')


# Kucoin
def kucoin_key():
    return secrets.load_or_fail('KUCOIN_KEY')


def kucoin_secret():
    return secrets.load_or_fail('KUCOIN_SECRET')


def kucoin_pass():
    return secrets.load_or_fail('KUCOIN_PASS')


# Kraken
def kraken_key():
    return secrets.load_or_fail('KRAKEN_KEY')


def kraken_secret():
    return secrets.load_or_fail('KRAKEN_SECRET')


# Home Assistant
HOME_ASSISTANT_ROOT = secrets.load('HOME_ASSISTANT_ROOT')
HOME_ASSISTANT_LLAK = secrets.load('HOME_ASSISTANT_LLAK')

# Email configuration
MAILGUN_API_KEY = secrets.load('MAILGUN_API_KEY')
MAILGUN_DOMAIN = secrets.load('MAILGUN_DOMAIN')
MAILGUN_RECIPIENT = secrets.load('MAILGUN_RECIPIENT')

# Jellyfin
JELLYFIN_URL = secrets.load('JELLYFIN_URL')
JELLYFIN_USERNAME = secrets.load('JELLYFIN_USERNAME')
JELLYFIN_PASSWORD = secrets.load('JELLYFIN_PASSWORD')

# Withings
WITHINGS_CLIENTID = secrets.load('WITHINGS_CLIENTID')
WITHINGS_SECRET = secrets.load('WITHINGS_SECRET')
WITHINGS_CALLBACK_URI = secrets.load('WITHINGS_CALLBACK_URI')
